Upload Pet Image
curl --request POST \
--url https://api.petstoreapi.com/v1/pets/{id}/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form additionalMetadata= \
--form file='@example-file'import requests
url = "https://api.petstoreapi.com/v1/pets/{id}/images"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "additionalMetadata": "" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('additionalMetadata', '');
form.append('file', 'example-file');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.petstoreapi.com/v1/pets/{id}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 3,
"type": "ex dolor",
"message": "Pecus carcer cometes credo."
}{
"type": "https://petstoreapi.com/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Authentication is required to access this resource. Please provide a valid OAuth 2.0 token."
}{
"type": "https://petstoreapi.com/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested pet with ID '123' was not found.",
"instance": "/pets/123"
}Pet
Upload Pet Image
Upload an image for the specified pet. Requires authentication and write:pets permission.
POST
/
pets
/
{id}
/
images
Upload Pet Image
Authorizations
bearerAuthoauth2
Bearer token authentication using JWT (JSON Web Token). Include the token in the Authorization header as: Authorization: Bearer <token>
Path Parameters
Unique identifier for the pet
Body
multipart/form-data
⌘I